### Method

# Gtk NativeDialogset_modal

#### Declaration [src]

    void
    gtk_native_dialog_set_modal (
      GtkNativeDialog* self,
      gboolean modal
    )

#### Description [src]

Sets a dialog modal or non-modal.

Modal dialogs prevent interaction with other windows in the same application. To keep modal dialogs on top of main application windows, use `gtk_native_dialog_set_transient_for()` to make the dialog transient for the parent; most window managers will then disallow lowering the dialog below the parent.

Sets property | `Gtk.NativeDialog:modal`

#### Parameters

`modal`

  Type: `gboolean`

  Whether the window is modal.